
#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
    void *ptr;
    int sample_rate;
    int channels;
    int bit_depth;
    int input_packet_size;
    int output_max_packet_size;
    int magic_cookie_size;
} alac_encoder;

alac_encoder alac_encoder_new(int sampleRate, int channels, int bitDepth, int fastMode);
int alac_encoder_write(alac_encoder* encoder, const unsigned char * input, int input_size, unsigned char * output);
void alac_encoder_delete(alac_encoder* encoder);

#ifdef __cplusplus
}
#endif